# POST /qwen/api/v1/services/aigc/image2video/video-synthesis

**Method**: `POST`
**Endpoint**: `/qwen/api/v1/services/aigc/image2video/video-synthesis`

[Official API Documentation](https://bailian.console.aliyun.com/?spm=5176.12818093_47.resourceCenter.1.3a9d2cc9l8f5UQ&userCode=okjhlpr5&tab=api#/api/?type=model&url=2982219)

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
X-DashScope-Async
string
Required
Example:
enable
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json Required

```text
model
string
Required
input
object
Required
image_url
string
Required
HTTP/HTTPS link to the input image, publicly accessible. It must not contain Chinese or other non-ASCII characters unless encoded first.
Local files can be uploaded first to obtain a temporary URL.
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
Example：
https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250919/bhkfor/mix_input_image.jpeg
video_url
string
Required
HTTP/HTTPS link to the input video, publicly accessible. It must not contain Chinese or other non-ASCII characters unless encoded first.
Local files can be uploaded first to obtain a temporary URL.
Recommendation: increasing the reference video's resolution and frame rate can effectively improve the generated video's quality.
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
Example：
https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250919/wqefue/mix_input_video.mp4
parameters
object
Required
mode
string
Required
Model service mode selection. Two modes are supported.
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
check_image
boolean
Optional
Whether to perform image detection.
true: default value. The API detects the uploaded image before processing.
false: skips image detection and proceeds directly to later processing.
Example
{
"model"
:
"wan2.2-animate-mix"
,
"input"
:
{
"image_url"
:
"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250919/bhkfor/mix_input_image.jpeg"
,
"video_url"
:
"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250919/wqefue/mix_input_video.mp4"
}
,
"parameters"
:
{
"mode"
:
"wan-std"
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/qwen/api/v1/services/aigc/image2video/video-synthesis' \
--header 'X-DashScope-Async: enable' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "wan2.2-animate-mix",
    "input": {
        "image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250919/bhkfor/mix_input_image.jpeg",
        "video_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250919/wqefue/mix_input_video.mp4"
    },
    "parameters": {
        "mode": "wan-std"
    }
  }'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{}
```
